Skip to main content
Server path: /elasticsearch-cluster | Type: Application | PCID required: Yes

Tools

ToolDescription
elasticsearch_cluster_allocation_explainExplain the shard allocations
elasticsearch_cluster_cat_aliasesGet aliases
elasticsearch_cluster_cat_allocationGet shard allocation information
elasticsearch_cluster_cat_component_templatesGet component templates
elasticsearch_cluster_cat_countGet a document count
elasticsearch_cluster_cat_healthGet the cluster health status
elasticsearch_cluster_cat_indicesGet index information
elasticsearch_cluster_cat_nodesGet node information
elasticsearch_cluster_cat_pending_tasksGet pending task information
elasticsearch_cluster_cat_recoveryGet shard recovery information
elasticsearch_cluster_cat_shardsGet shard information
elasticsearch_cluster_cat_templatesGet index template information
elasticsearch_cluster_cat_thread_poolGet thread pool statistics
elasticsearch_cluster_delete_voting_config_exclusionsClear cluster voting config exclusions
elasticsearch_cluster_get_settingsGet cluster-wide settings
elasticsearch_cluster_healthGet the cluster health status
elasticsearch_cluster_infoGet cluster info
elasticsearch_cluster_nodes_hot_threadsGet the hot threads for nodes
elasticsearch_cluster_nodes_infoGet node information
elasticsearch_cluster_nodes_reload_secure_settingsReload the keystore on nodes in the cluster
elasticsearch_cluster_nodes_statsGet node statistics
elasticsearch_cluster_nodes_usageGet feature usage information
elasticsearch_cluster_pending_tasksGet the pending cluster tasks
elasticsearch_cluster_post_voting_config_exclusionsUpdate voting configuration exclusions
elasticsearch_cluster_put_settingsUpdate the cluster settings
elasticsearch_cluster_remote_infoGet remote cluster information
elasticsearch_cluster_rerouteReroute the cluster
elasticsearch_cluster_stateGet the cluster state
elasticsearch_cluster_statsGet cluster statistics

elasticsearch_cluster_allocation_explain

Explain the shard allocations Parameters:
ParameterTypeRequiredDefaultDescription
include_disk_infobooleanNoIf true, returns information about disk usage and shard sizes.
include_yes_decisionsbooleanNoIf true, returns YES decisions in explanation.
master_timeoutstringNoPeriod to wait for a connection to the master node.
current_nodeobjectNoExplain a shard only if it is currently located on the specified node name or node ID.
indexobjectNoThe name of the index that you would like an explanation for.
primarybooleanNoIf true, returns an explanation for the primary shard for the specified shard ID.
shardnumberNoAn identifier for the shard that you would like an explanation for.

elasticsearch_cluster_cat_aliases

Get aliases Parameters:
ParameterTypeRequiredDefaultDescription
namestring[]YesA comma-separated list of aliases to retrieve. Supports wildcards (*). To retrieve all aliases, omit this parameter or use * or _all.
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - alias (or a): The name of the alias. - index (or i, idx): The name of the index the alias points to. - filter (or f, fi): The filter applied to the alias. - routing.index (or ri, routingIndex): Index routing value for the alias. - routing.search (or rs, routingSearch): Search routing value for the alias. - is_write_index (or w, isWriteIndex): Indicates if the index is the write index for the alias.
sstring[]NoList of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
expand_wildcardsstring[]NoThe type of index that wildcard patterns can match. If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams. It supports comma-separated values, such as open,hidden. Supported values include: - all: Match any data stream or index, including hidden ones. - open: Match open, non-hidden indices. Also matches any non-hidden data stream. - closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed. - hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both. - none: Wildcard expressions are not accepted.
master_timeoutstringNoThe period to wait for a connection to the master node. If the master node is not available before the timeout expires, the request fails and returns an error. To indicated that the request should never timeout, you can set it to -1.

elasticsearch_cluster_cat_allocation

Get shard allocation information Parameters:
ParameterTypeRequiredDefaultDescription
node_idstring[]YesA comma-separated list of node identifiers or names used to limit the returned information.
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - shards (or s): The number of shards on the node. - shards.undesired: The number of shards scheduled to be moved elsewhere in the cluster. - write_load.forecast (or wlf, writeLoadForecast): The sum of index write load forecasts. - disk.indices.forecast (or dif, diskIndicesForecast): The sum of shard size forecasts. - disk.indices (or di, diskIndices): The disk space used by Elasticsearch indices. - disk.used (or du, diskUsed): The total disk space used on the node. - disk.avail (or da, diskAvail): The available disk space on the node. - disk.total (or dt, diskTotal): The total disk capacity of all volumes on the node. - disk.percent (or dp, diskPercent): The percentage of disk space used on the node. - host (or h): IThe host of the node. - ip: The IP address of the node. - node (or n): The name of the node. - node.role (or r, role, nodeRole): The roles assigned to the node.
sstring[]NoList of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
localbooleanNoIf true, the request computes the list of selected nodes from the local cluster state. If false the list of selected nodes are computed from the cluster state of the master node. In both cases the coordinating node will send requests for further information to each selected node.
master_timeoutstringNoPeriod to wait for a connection to the master node.

elasticsearch_cluster_cat_component_templates

Get component templates Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the component template. It accepts wildcard expressions. If it is omitted, all component templates are returned.
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - name (or n): The name of the component template. - version (or v): The version number of the component template. - alias_count (or a): The number of aliases in the component template. - mapping_count (or m): The number of mappings in the component template. - settings_count (or s): The number of settings in the component template. - metadata_count (or me): The number of metadata entries in the component template. - included_in (or i): The index templates that include this component template.
sstring[]NoList of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
localbooleanNoIf true, the request computes the list of selected nodes from the local cluster state. If false the list of selected nodes are computed from the cluster state of the master node. In both cases the coordinating node will send requests for further information to each selected node.
master_timeoutstringNoThe period to wait for a connection to the master node.

elasticsearch_cluster_cat_count

Get a document count Parameters:
ParameterTypeRequiredDefaultDescription
indexstring[]YesA comma-separated list of data streams, indices, and aliases used to limit the request. It supports wildcards (*). To target all data streams and indices, omit this parameter or use * or _all.
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - epoch (or t, time): The Unix epoch time in seconds since 1970-01-01 00:00:00. - timestamp (or ts, hms, hhmmss): The current time in HH:MM:SS format. - count (or dc, docs.count, docsCount): The document count in the cluster or index.
sstring[]NoList of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
bodyobjectNoRequest body

elasticsearch_cluster_cat_health

Get the cluster health status Parameters:
ParameterTypeRequiredDefaultDescription
tsbooleanNoIf true, returns HH:MM:SS and Unix epoch timestamps.
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - epoch (or t, time): The number of seconds since 1970-01-01 00:00:00. - timestamp (or ts, hms, hhmmss): The time in HH:MM:SS format. - cluster (or cl): The cluster name. - status (or st): The health status. - node.total (or nt, nodeTotal): The total number of nodes that can store data. - node.data (or nd, nodeData): The number of nodes that can store data. - shards (or t, sh, shards.total, shardsTotal): The total number of shards. - pri (or p, shards.primary, shardsPrimary): The number of primary shards. - relo (or r, shards.relocating, shardsRelocating): The number of relocating nodes. - init (or i, shards.initializing, shardsInitializing): The number of initializing nodes. - unassign (or u, shards.unassigned, shardsUnassigned): The number of unassigned shards. - unassign.pri (or up, shards.unassigned.primary, shardsUnassignedPrimary): The number of unassigned primary shards. - pending_tasks (or pt, pendingTasks): The number of pending tasks. - max_task_wait_time (or mtwt, maxTaskWaitTime): The wait time of the longest pending task. - active_shards_percent (or asp, activeShardsPercent): The percentage of active shards.
sstring[]NoList of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.

elasticsearch_cluster_cat_indices

Get index information Parameters:
ParameterTypeRequiredDefaultDescription
indexstring[]YesComma-separated list of data streams, indices, and aliases used to limit the request. Supports wildcards (*). To target all data streams and indices, omit this parameter or use * or _all.
expand_wildcardsstring[]NoThe type of index that wildcard patterns can match. Supported values include: - all: Match any data stream or index, including hidden ones. - open: Match open, non-hidden indices. Also matches any non-hidden data stream. - closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed. - hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both. - none: Wildcard expressions are not accepted.
healthstringNoThe health status used to limit returned indices. By default, the response includes indices of any health status. Supported values include: - green (or GREEN): All shards are assigned. - yellow (or YELLOW): All primary shards are assigned, but one or more replica shards are unassigned. If a node in the cluster fails, some data could be unavailable until that node is repaired. - red (or RED): One or more primary shards are unassigned, so some data is unavailable. This can occur briefly during cluster startup as primary shards are assigned. - unknown - unavailable
include_unloaded_segmentsbooleanNoIf true, the response includes information from segments that are not loaded into memory.
pribooleanNoIf true, the response only includes information from primary shards.
master_timeoutstringNoPeriod to wait for a connection to the master node.
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - health (or h): The current health status. - status (or s): The open/close status. - index (or i, idx): The index name. - uuid (or id, uuid): The index UUID. - pri (or p, shards.primary, shardsPrimary): The number of primary shards. - rep (or r, shards.replica, shardsReplica): The number of replica shards. - docs.count (or dc, docsCount): The number of available documents. - docs.deleted (or dd, docsDeleted): The number of deleted documents. - creation.date (or cd): The index creation date (millisecond value). - creation.date.string (or cds): The index creation date (as string). - store.size (or ss, storeSize): The store size of primaries and replicas. - pri.store.size: The store size of primaries. - dataset.size: The total size of the dataset. - completion.size (or cs, completionSize): The size of completion for primaries and replicas. - pri.completion.size: The size of completion for primaries. - fielddata.memory_size (or fm, fielddataMemory): The used fielddata cache for primaries and replicas. - pri.fielddata.memory_size: The used fielddata cache for primaries. - fielddata.evictions (or fe, fielddataEvictions): The number of fielddata evictions for primaries and replicas. - pri.fielddata.evictions: The number of fielddata evictions for primaries. - query_cache.memory_size (or qcm, queryCacheMemory): The used query cache for primaries and replicas. - pri.query_cache.memory_size: The used query cache for primaries. - query_cache.evictions (or qce, queryCacheEvictions): The number of query cache evictions for primaries and replicas. - pri.query_cache.evictions: The number of query cache evictions for primaries. - request_cache.memory_size (or rcm, requestCacheMemory): The used request cache for primaries and replicas. - pri.request_cache.memory_size: The used request cache for primaries. - request_cache.evictions (or rce, requestCacheEvictions): The number of request cache evictions for primaries and replicas. - pri.request_cache.evictions: The number of request cache evictions for primaries. - request_cache.hit_count (or rchc, requestCacheHitCount): The request cache hit count for primaries and replicas. - pri.request_cache.hit_count: The request cache hit count for primaries. - request_cache.miss_count (or rcmc, requestCacheMissCount): The request cache miss count for primaries and replicas. - pri.request_cache.miss_count: The request cache miss count for primaries. - flush.total (or ft, flushTotal): The number of flushes for primaries and replicas. - pri.flush.total: The number of flushes for primaries. - flush.total_time (or ftt, flushTotalTime): The time spent in flush for primaries and replicas. - pri.flush.total_time: The time spent in flush for primaries. - get.current (or gc, getCurrent): The number of current get operations for primaries and replicas. - pri.get.current: The number of current get operations for primaries. - get.time (or gti, getTime): The time spent in get for primaries and replicas. - pri.get.time: The time spent in get for primaries. - get.total (or gto, getTotal): The number of get operations for primaries and replicas. - pri.get.total: The number of get operations for primaries. - get.exists_time (or geti, getExistsTime): The time spent in successful gets for primaries and replicas. - pri.get.exists_time: The time spent in successful gets for primaries. - get.exists_total (or geto, getExistsTotal): The number of successful gets for primaries and replicas. - pri.get.exists_total: The number of successful gets for primaries. - get.missing_time (or gmti, getMissingTime): The time spent in failed gets for primaries and replicas. - pri.get.missing_time: The time spent in failed gets for primaries. - get.missing_total (or gmto, getMissingTotal): The number of failed gets for primaries and replicas. - pri.get.missing_total: The number of failed gets for primaries. - indexing.delete_current (or idc, indexingDeleteCurrent): The number of current deletions for primaries and replicas. - pri.indexing.delete_current: The number of current deletions for primaries. - indexing.delete_time (or idti, indexingDeleteTime): The time spent in deletions for primaries and replicas. - pri.indexing.delete_time: The time spent in deletions for primaries. - indexing.delete_total (or idto, indexingDeleteTotal): The number of delete operations for primaries and replicas. - pri.indexing.delete_total: The number of delete operations for primaries. - indexing.index_current (or iic, indexingIndexCurrent): The number of current indexing operations for primaries and replicas. - pri.indexing.index_current: The number of current indexing operations for primaries. - indexing.index_time (or iiti, indexingIndexTime): The time spent in indexing for primaries and replicas. - pri.indexing.index_time: The time spent in indexing for primaries. - indexing.index_total (or iito, indexingIndexTotal): The number of indexing operations for primaries and replicas. - pri.indexing.index_total: The number of indexing operations for primaries. - indexing.index_failed (or iif, indexingIndexFailed): The number of failed indexing operations for primaries and replicas. - pri.indexing.index_failed: The number of failed indexing operations for primaries. - indexing.index_failed_due_to_version_conflict (or iifvc, indexingIndexFailedDueToVersionConflict): The number of failed indexing operations due to version conflict for primaries and replicas. - pri.indexing.index_failed_due_to_version_conflict: The number of failed indexing operations due to version conflict for primaries. - merges.current (or mc, mergesCurrent): The number of current merges for primaries and replicas. - pri.merges.current: The number of current merges for primaries. - merges.current_docs (or mcd, mergesCurrentDocs): The number of current merging documents for primaries and replicas. - pri.merges.current_docs: The number of current merging documents for primaries. - merges.current_size (or mcs, mergesCurrentSize): The size of current merges for primaries and replicas. - pri.merges.current_size: The size of current merges for primaries. - merges.total (or mt, mergesTotal): The number of completed merge operations for primaries and replicas. - pri.merges.total: The number of completed merge operations for primaries. - merges.total_docs (or mtd, mergesTotalDocs): The number of merged documents for primaries and replicas. - pri.merges.total_docs: The number of merged documents for primaries. - merges.total_size (or mts, mergesTotalSize): The merged size for primaries and replicas. - pri.merges.total_size: The merged size for primaries. - merges.total_time (or mtt, mergesTotalTime): The time spent in merges for primaries and replicas. - pri.merges.total_time: The time spent in merges for primaries. - refresh.total (or rto, refreshTotal): The total refreshes for primaries and replicas. - pri.refresh.total: The total refreshes for primaries. - refresh.time (or rti, refreshTime): The time spent in refreshes for primaries and replicas. - pri.refresh.time: The time spent in refreshes for primaries. - refresh.external_total (or rto, refreshTotal): The total external refreshes for primaries and replicas. - pri.refresh.external_total: The total external refreshes for primaries. - refresh.external_time (or rti, refreshTime): The time spent in external refreshes for primaries and replicas. - pri.refresh.external_time: The time spent in external refreshes for primaries. - refresh.listeners (or rli, refreshListeners): The number of pending refresh listeners for primaries and replicas. - pri.refresh.listeners: The number of pending refresh listeners for primaries. - search.fetch_current (or sfc, searchFetchCurrent): The current fetch phase operations for primaries and replicas. - pri.search.fetch_current: The current fetch phase operations for primaries. - search.fetch_time (or sfti, searchFetchTime): The time spent in fetch phase for primaries and replicas. - pri.search.fetch_time: The time spent in fetch phase for primaries. - search.fetch_total (or sfto, searchFetchTotal): The total fetch operations for primaries and replicas. - pri.search.fetch_total: The total fetch operations for primaries. - search.open_contexts (or so, searchOpenContexts): The open search contexts for primaries and replicas. - pri.search.open_contexts: The open search contexts for primaries. - search.query_current (or sqc, searchQueryCurrent): The current query phase operations for primaries and replicas. - pri.search.query_current: The current query phase operations for primaries. - search.query_time (or sqti, searchQueryTime): The time spent in query phase for primaries and replicas. - pri.search.query_time: The time spent in query phase for primaries. - search.query_total (or sqto, searchQueryTotal): The total query phase operations for primaries and replicas. - pri.search.query_total: The total query phase operations for primaries. - search.scroll_current (or scc, searchScrollCurrent): The open scroll contexts for primaries and replicas. - pri.search.scroll_current: The open scroll contexts for primaries. - search.scroll_time (or scti, searchScrollTime): The time scroll contexts held open for primaries and replicas. - pri.search.scroll_time: The time scroll contexts held open for primaries. - search.scroll_total (or scto, searchScrollTotal): The completed scroll contexts for primaries and replicas. - pri.search.scroll_total: The completed scroll contexts for primaries. - segments.count (or sc, segmentsCount): The number of segments for primaries and replicas. - pri.segments.count: The number of segments for primaries. - segments.memory (or sm, segmentsMemory): The memory used by segments for primaries and replicas. - pri.segments.memory: The memory used by segments for primaries. - segments.index_writer_memory (or siwm, segmentsIndexWriterMemory): The memory used by index writer for primaries and replicas. - pri.segments.index_writer_memory: The memory used by index writer for primaries. - segments.version_map_memory (or svmm, segmentsVersionMapMemory): The memory used by version map for primaries and replicas. - pri.segments.version_map_memory: The memory used by version map for primaries. - segments.fixed_bitset_memory (or sfbm, fixedBitsetMemory): The memory used by fixed bit sets for nested object field types and type filters for types referred in _parent fields. Applicable for primaries and replicas. - pri.segments.fixed_bitset_memory: The memory used by fixed bit sets for nested object field types and type filters for types referred in _parent fields. Applicable for primaries. - warmer.current (or wc, warmerCurrent): The current warmer operations for primaries and replicas. - pri.warmer.current: The current warmer operations for primaries. - warmer.total (or wto, warmerTotal): The total warmer operations for primaries and replicas. - pri.warmer.total: The total warmer operations for primaries. - warmer.total_time (or wtt, warmerTotalTime): The time spent in warmers for primaries and replicas. - pri.warmer.total_time: The time spent in warmers for primaries. - suggest.current (or suc, suggestCurrent): The current suggest operations for primaries and replicas. - pri.suggest.current: The current suggest operations for primaries. - suggest.time (or suti, suggestTime): The time spent in suggest for primaries and replicas. - pri.suggest.time: The time spent in suggest for primaries. - suggest.total (or suto, suggestTotal): The number of suggest operations for primaries and replicas. - pri.suggest.total: The number of suggest operations for primaries. - memory.total (or tm, memoryTotal): The total used memory for primaries and replicas. - pri.memory.total: The total used memory for primaries. - bulk.total_operations (or bto, bulkTotalOperation): The number of bulk shard operations for primaries and replicas. - pri.bulk.total_operations: The number of bulk shard operations for primaries. - bulk.total_time (or btti, bulkTotalTime): The time spent in shard bulk for primaries and replicas. - pri.bulk.total_time: The time spent in shard bulk for primaries. - bulk.total_size_in_bytes (or btsi, bulkTotalSizeInBytes): The total size in bytes of shard bulk for primaries and replicas. - pri.bulk.total_size_in_bytes: The total size in bytes of shard bulk for primaries. - bulk.avg_time (or bati, bulkAvgTime): The average time spent in shard bulk for primaries and replicas. - pri.bulk.avg_time: The average time spent in shard bulk for primaries. - bulk.avg_size_in_bytes (or basi, bulkAvgSizeInBytes): The average size in bytes of shard bulk for primaries and replicas. - pri.bulk.avg_size_in_bytes: The average size in bytes of shard bulk for primaries. - dense_vector.value_count (or dvc, denseVectorCount): The total count of indexed dense vectors for primaries and replicas. - pri.dense_vector.value_count: The total count of indexed dense vectors for primaries. - sparse_vector.value_count (or svc, sparseVectorCount): The total count of indexed sparse vectors for primaries and replicas. - pri.sparse_vector.value_count: The total count of indexed sparse vectors for primaries.
sstring[]NoList of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.

elasticsearch_cluster_cat_nodes

Get node information Parameters:
ParameterTypeRequiredDefaultDescription
full_idbooleanNoIf true, return the full node ID. If false, return the shortened node ID.
include_unloaded_segmentsbooleanNoIf true, the response includes information from segments that are not loaded into memory.
hstring[]NoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - build (or b): The Elasticsearch build hash. For example: 5c03844. - completion.size (or cs, completionSize): The size of completion. For example: 0b. - cpu: The percentage of recent system CPU used. - disk.avail (or d, disk, diskAvail): The available disk space. For example: 198.4gb. - disk.total (or dt, diskTotal): The total disk space. For example: 458.3gb. - disk.used (or du, diskUsed): The used disk space. For example: 259.8gb. - disk.used_percent (or dup, diskUsedPercent): The percentage of disk space used. - fielddata.evictions (or fe, fielddataEvictions): The number of fielddata cache evictions. - fielddata.memory_size (or fm, fielddataMemory): The fielddata cache memory used. For example: 0b. - file_desc.current (or fdc, fileDescriptorCurrent): The number of file descriptors used. - file_desc.max (or fdm, fileDescriptorMax): The maximum number of file descriptors. - file_desc.percent (or fdp, fileDescriptorPercent): The percentage of file descriptors used. - flush.total (or ft, flushTotal): The number of flushes. - flush.total_time (or ftt, flushTotalTime): The amount of time spent in flush. - get.current (or gc, getCurrent): The number of current get operations. - get.exists_time (or geti, getExistsTime): The time spent in successful get operations. For example: 14ms. - get.exists_total (or geto, getExistsTotal): The number of successful get operations. - get.missing_time (or gmti, getMissingTime): The time spent in failed get operations. For example: 0s. - get.missing_total (or gmto, getMissingTotal): The number of failed get operations. - get.time (or gti, getTime): The amount of time spent in get operations. For example: 14ms. - get.total (or gto, getTotal): The number of get operations. - heap.current (or hc, heapCurrent): The used heap size. For example: 311.2mb. - heap.max (or hm, heapMax): The total heap size. For example: 4gb. - heap.percent (or hp, heapPercent): The used percentage of total allocated Elasticsearch JVM heap. This value reflects only the Elasticsearch process running within the operating system and is the most direct indicator of its JVM, heap, or memory resource performance. - http_address (or http): The bound HTTP address. - id (or nodeId): The identifier for the node. - indexing.delete_current (or idc, indexingDeleteCurrent): The number of current deletion operations. - indexing.delete_time (or idti, indexingDeleteTime): The time spent in deletion operations. For example: 2ms. - indexing.delete_total (or idto, indexingDeleteTotal): The number of deletion operations. - indexing.index_current (or iic, indexingIndexCurrent): The number of current indexing operations. - indexing.index_failed (or iif, indexingIndexFailed): The number of failed indexing operations. - indexing.index_failed_due_to_version_conflict (or iifvc, indexingIndexFailedDueToVersionConflict): The number of indexing operations that failed due to version conflict. - indexing.index_time (or iiti, indexingIndexTime): The time spent in indexing operations. For example: 134ms. - indexing.index_total (or iito, indexingIndexTotal): The number of indexing operations. - ip (or i): The IP address. - jdk (or j): The Java version. For example: 1.8.0. - load_1m (or l): The most recent load average. For example: 0.22. - load_5m (or l): The load average for the last five minutes. For example: 0.78. - load_15m (or l): The load average for the last fifteen minutes. For example: 1.24. - available_processors (or ap): The number of available processors (logical CPU cores available to the JVM). - mappings.total_count (or mtc, mappingsTotalCount): The number of mappings, including runtime and object fields. - mappings.total_estimated_overhead_in_bytes (or mteo, mappingsTotalEstimatedOverheadInBytes): The estimated heap overhead, in bytes, of mappings on this node, which allows for 1KiB of heap for every mapped field. - master (or m): Indicates whether the node is the elected master node. Returned values include * (elected master) and - (not elected master). - merges.current (or mc, mergesCurrent): The number of current merge operations. - merges.current_docs (or mcd, mergesCurrentDocs): The number of current merging documents. - merges.current_size (or mcs, mergesCurrentSize): The size of current merges. For example: 0b. - merges.total (or mt, mergesTotal): The number of completed merge operations. - merges.total_docs (or mtd, mergesTotalDocs): The number of merged documents. - merges.total_size (or mts, mergesTotalSize): The total size of merges. For example: 0b. - merges.total_time (or mtt, mergesTotalTime): The time spent merging documents. For example: 0s. - name (or n): The node name. - node.role (or r, role, nodeRole): The roles of the node. Returned values include c (cold node), d (data node), f (frozen node), h (hot node), i (ingest node), l (machine learning node), m (master-eligible node), r (remote cluster client node), s (content node), t (transform node), v (voting-only node), w (warm node), and - (coordinating node only). For example, dim indicates a master-eligible data and ingest node. - pid (or p): The process identifier. - port (or po): The bound transport port number. - query_cache.memory_size (or qcm, queryCacheMemory): The used query cache memory. For example: 0b. - query_cache.evictions (or qce, queryCacheEvictions): The number of query cache evictions. - query_cache.hit_count (or qchc, queryCacheHitCount): The query cache hit count. - query_cache.miss_count (or qcmc, queryCacheMissCount): The query cache miss count. - ram.current (or rc, ramCurrent): The used total memory. For example: 513.4mb. - ram.max (or rm, ramMax): The total memory. For example: 2.9gb. - ram.percent (or rp, ramPercent): The used percentage of the total operating system memory. This reflects all processes running on the operating system instead of only Elasticsearch and is not guaranteed to correlate to its performance. - refresh.total (or rto, refreshTotal): The number of refresh operations. - refresh.time (or rti, refreshTime): The time spent in refresh operations. For example: 91ms. - request_cache.memory_size (or rcm, requestCacheMemory): The used request cache memory. For example: 0b. - request_cache.evictions (or rce, requestCacheEvictions): The number of request cache evictions. - request_cache.hit_count (or rchc, requestCacheHitCount): The request cache hit count. - request_cache.miss_count (or rcmc, requestCacheMissCount): The request cache miss count. - script.compilations (or scrcc, scriptCompilations): The number of total script compilations. - script.cache_evictions (or scrce, scriptCacheEvictions): The number of total compiled scripts evicted from cache. - search.fetch_current (or sfc, searchFetchCurrent): The number of current fetch phase operations. - search.fetch_time (or sfti, searchFetchTime): The time spent in fetch phase. For example: 37ms. - search.fetch_total (or sfto, searchFetchTotal): The number of fetch operations. - search.open_contexts (or so, searchOpenContexts): The number of open search contexts. - search.query_current (or sqc, searchQueryCurrent): The number of current query phase operations. - search.query_time (or sqti, searchQueryTime): The time spent in query phase. For example: 43ms. - search.query_total (or sqto, searchQueryTotal): The number of query operations. - search.scroll_current (or scc, searchScrollCurrent): The number of open scroll contexts. - search.scroll_time (or scti, searchScrollTime): The amount of time scroll contexts were held open. For example: 2m. - search.scroll_total (or scto, searchScrollTotal): The number of completed scroll contexts. - segments.count (or sc, segmentsCount): The number of segments. - segments.fixed_bitset_memory (or sfbm, fixedBitsetMemory): The memory used by fixed bit sets for nested object field types and type filters for types referred in join fields. For example: 1.0kb. - segments.index_writer_memory (or siwm, segmentsIndexWriterMemory): The memory used by the index writer. For example: 18mb. - segments.memory (or sm, segmentsMemory): The memory used by segments. For example: 1.4kb. - segments.version_map_memory (or svmm, segmentsVersionMapMemory): The memory used by the version map. For example: 1.0kb. - shard_stats.total_count (or sstc, shards, shardStatsTotalCount): The number of shards assigned. - suggest.current (or suc, suggestCurrent): The number of current suggest operations. - suggest.time (or suti, suggestTime): The time spent in suggest operations. - suggest.total (or suto, suggestTotal): The number of suggest operations. - uptime (or u): The amount of node uptime. For example: 17.3m. - version (or v): The Elasticsearch version. For example: 9.0.0.
sstring[]NoA comma-separated list of column names or aliases that determines the sort order. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
master_timeoutstringNoThe period to wait for a connection to the master node.

elasticsearch_cluster_cat_pending_tasks

Get pending task information Parameters:
ParameterTypeRequiredDefaultDescription
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - insertOrder (or o): The task insertion order. - timeInQueue (or t): How long the task has been in the queue. - priority (or p): The task priority. - source (or s): The task source.
sstring[]NoList of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
localbooleanNoIf true, the request computes the list of selected nodes from the local cluster state. If false the list of selected nodes are computed from the cluster state of the master node. In both cases the coordinating node will send requests for further information to each selected node.
master_timeoutstringNoPeriod to wait for a connection to the master node.

elasticsearch_cluster_cat_recovery

Get shard recovery information Parameters:
ParameterTypeRequiredDefaultDescription
indexstring[]YesA comma-separated list of data streams, indices, and aliases used to limit the request. Supports wildcards (*). To target all data streams and indices, omit this parameter or use * or _all.
active_onlybooleanNoIf true, the response only includes ongoing shard recoveries.
detailedbooleanNoIf true, the response includes detailed information about shard recoveries.
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - index (or i, idx): The index name. - shard (or s, sh): The shard name. - start_time (or start): The recovery start time. - start_time_millis (or start_millis): The recovery start time in epoch milliseconds. - stop_time (or stop): The recovery stop time. - stop_time_millis (or stop_millis): The recovery stop time in epoch milliseconds. - time (or t, ti): The recovery time. - type (or ty): The recovery type. - stage (or st): The recovery stage. - source_host (or shost): The source host. - source_node (or snode): The source node name. - target_host (or thost): The target host. - target_node (or tnode): The target node name. - repository (or rep): The repository. - snapshot (or snap): The snapshot. - files (or f): The number of files to recover. - files_recovered (or fr): The files recovered. - files_percent (or fp): The percent of files recovered. - files_total (or tf): The total number of files. - bytes (or b): The number of bytes to recover. - bytes_recovered (or br): The bytes recovered. - bytes_percent (or bp): The percent of bytes recovered. - bytes_total (or tb): The total number of bytes. - translog_ops (or to): The number of translog ops to recover. - translog_ops_recovered (or tor): The translog ops recovered. - translog_ops_percent (or top): The percent of translog ops recovered.
sstring[]NoA comma-separated list of column names or aliases that determines the sort order. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.

elasticsearch_cluster_cat_shards

Get shard information Parameters:
ParameterTypeRequiredDefaultDescription
indexstring[]YesA comma-separated list of data streams, indices, and aliases used to limit the request. Supports wildcards (*). To target all data streams and indices, omit this parameter or use * or _all.
hobjectNoList of columns to appear in the response. Supports simple wildcards. Supported values include: - completion.size (or cs, completionSize): Size of completion. For example: 0b. - dataset.size: Disk space used by the shard’s dataset, which may or may not be the size on disk, but includes space used by the shard on object storage. Reported as a size value for example: 5kb. - dense_vector.value_count (or dvc, denseVectorCount): Number of indexed dense vectors. - docs (or d, dc): Number of documents in shard, for example: 25. - fielddata.evictions (or fe, fielddataEvictions): Fielddata cache evictions, for example: 0. - fielddata.memory_size (or fm, fielddataMemory): Used fielddata cache memory, for example: 0b. - flush.total (or ft, flushTotal): Number of flushes, for example: 1. - flush.total_time (or ftt, flushTotalTime): Time spent in flush, for example: 1. - get.current (or gc, getCurrent): Number of current get operations, for example: 0. - get.exists_time (or geti, getExistsTime): Time spent in successful gets, for example: 14ms. - get.exists_total (or geto, getExistsTotal): Number of successful get operations, for example: 2. - get.missing_time (or gmti, getMissingTime): Time spent in failed gets, for example: 0s. - get.missing_total (or gmto, getMissingTotal): Number of failed get operations, for example: 1. - get.time (or gti, getTime): Time spent in get, for example: 14ms. - get.total (or gto, getTotal): Number of get operations, for example: 2. - id: ID of the node, for example: k0zy. - index (or i, idx): Name of the index. - indexing.delete_current (or idc, indexingDeleteCurrent): Number of current deletion operations, for example: 0. - indexing.delete_time (or idti, indexingDeleteTime): Time spent in deletions, for example: 2ms. - indexing.delete_total (or idto, indexingDeleteTotal): Number of deletion operations, for example: 2. - indexing.index_current (or iic, indexingIndexCurrent): Number of current indexing operations, for example: 0. - indexing.index_failed_due_to_version_conflict (or iifvc, indexingIndexFailedDueToVersionConflict): Number of failed indexing operations due to version conflict, for example: 0. - indexing.index_failed (or iif, indexingIndexFailed): Number of failed indexing operations, for example: 0. - indexing.index_time (or iiti, indexingIndexTime): Time spent in indexing, such as for example: 134ms. - indexing.index_total (or iito, indexingIndexTotal): Number of indexing operations, for example: 1. - ip: IP address of the node, for example: 127.0.1.1. - merges.current (or mc, mergesCurrent): Number of current merge operations, for example: 0. - merges.current_docs (or mcd, mergesCurrentDocs): Number of current merging documents, for example: 0. - merges.current_size (or mcs, mergesCurrentSize): Size of current merges, for example: 0b. - merges.total (or mt, mergesTotal): Number of completed merge operations, for example: 0. - merges.total_docs (or mtd, mergesTotalDocs): Number of merged documents, for example: 0. - merges.total_size (or mts, mergesTotalSize): Size of current merges, for example: 0b. - merges.total_time (or mtt, mergesTotalTime): Time spent merging documents, for example: 0s. - node (or n): Node name, for example: I8hydUG. - prirep (or p, pr, primaryOrReplica): Shard type. Returned values are primary or replica. - query_cache.evictions (or qce, queryCacheEvictions): Query cache evictions, for example: 0. - query_cache.memory_size (or qcm, queryCacheMemory): Used query cache memory, for example: 0b. - recoverysource.type (or rs): Type of recovery source. - refresh.time (or rti, refreshTime): Time spent in refreshes, for example: 91ms. - refresh.total (or rto, refreshTotal): Number of refreshes, for example: 16. - search.fetch_current (or sfc, searchFetchCurrent): Current fetch phase operations, for example: 0. - search.fetch_time (or sfti, searchFetchTime): Time spent in fetch phase, for example: 37ms. - search.fetch_total (or sfto, searchFetchTotal): Number of fetch operations, for example: 7. - search.open_contexts (or so, searchOpenContexts): Open search contexts, for example: 0. - search.query_current (or sqc, searchQueryCurrent): Current query phase operations, for example: 0. - search.query_time (or sqti, searchQueryTime): Time spent in query phase, for example: 43ms. - search.query_total (or sqto, searchQueryTotal): Number of query operations, for example: 9. - search.scroll_current (or scc, searchScrollCurrent): Open scroll contexts, for example: 2. - search.scroll_time (or scti, searchScrollTime): Time scroll contexts held open, for example: 2m. - search.scroll_total (or scto, searchScrollTotal): Completed scroll contexts, for example: 1. - segments.count (or sc, segmentsCount): Number of segments, for example: 4. - segments.fixed_bitset_memory (or sfbm, fixedBitsetMemory): Memory used by fixed bit sets for nested object field types and type filters for types referred in join fields, for example: 1.0kb. - segments.index_writer_memory (or siwm, segmentsIndexWriterMemory): Memory used by index writer, for example: 18mb. - segments.memory (or sm, segmentsMemory): Memory used by segments, for example: 1.4kb. - segments.version_map_memory (or svmm, segmentsVersionMapMemory): Memory used by version map, for example: 1.0kb. - seq_no.global_checkpoint (or sqg, globalCheckpoint): Global checkpoint. - seq_no.local_checkpoint (or sql, localCheckpoint): Local checkpoint. - seq_no.max (or sqm, maxSeqNo): Maximum sequence number. - shard (or s, sh): Name of the shard. - dsparse_vector.value_count (or svc, sparseVectorCount): Number of indexed sparse vectors. - state (or st): State of the shard. Returned values are: * INITIALIZING: The shard is recovering from a peer shard or gateway. * RELOCATING: The shard is relocating. * STARTED: The shard has started. * UNASSIGNED: The shard is not assigned to any node. - store (or sto): Disk space used by the shard, for example: 5kb. - suggest.current (or suc, suggestCurrent): Number of current suggest operations, for example: 0. - suggest.time (or suti, suggestTime): Time spent in suggest, for example: 0. - suggest.total (or suto, suggestTotal): Number of suggest operations, for example: 0. - sync_id: Sync ID of the shard. - unassigned.at (or ua): Time at which the shard became unassigned in Coordinated Universal Time (UTC). - unassigned.details (or ud): Details about why the shard became unassigned. This does not explain why the shard is currently unassigned. To understand why a shard is not assigned, use the Cluster allocation explain API. - unassigned.for (or uf): Time at which the shard was requested to be unassigned in Coordinated Universal Time (UTC). - unassigned.reason (or ur): Indicates the reason for the last change to the state of this unassigned shard. This does not explain why the shard is currently unassigned. To understand why a shard is not assigned, use the Cluster allocation explain API. Returned values include: * ALLOCATION_FAILED: Unassigned as a result of a failed allocation of the shard. * CLUSTER_RECOVERED: Unassigned as a result of a full cluster recovery. * DANGLING_INDEX_IMPORTED: Unassigned as a result of importing a dangling index. * EXISTING_INDEX_RESTORED: Unassigned as a result of restoring into a closed index. * FORCED_EMPTY_PRIMARY: The shard’s allocation was last modified by forcing an empty primary using the Cluster reroute API. * INDEX_CLOSED: Unassigned because the index was closed. * INDEX_CREATED: Unassigned as a result of an API creation of an index. * INDEX_REOPENED: Unassigned as a result of opening a closed index. * MANUAL_ALLOCATION: The shard’s allocation was last modified by the Cluster reroute API. * NEW_INDEX_RESTORED: Unassigned as a result of restoring into a new index. * NODE_LEFT: Unassigned as a result of the node hosting it leaving the cluster. * NODE_RESTARTING: Similar to NODE_LEFT, except that the node was registered as restarting using the Node shutdown API. * PRIMARY_FAILED: The shard was initializing as a replica, but the primary shard failed before the initialization completed. * REALLOCATED_REPLICA: A better replica location is identified and causes the existing replica allocation to be cancelled. * REINITIALIZED: When a shard moves from started back to initializing. * REPLICA_ADDED: Unassigned as a result of explicit addition of a replica. * REROUTE_CANCELLED: Unassigned as a result of explicit cancel reroute command.
sstring[]NoA comma-separated list of column names or aliases that determines the sort order. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
master_timeoutstringNoThe period to wait for a connection to the master node.

elasticsearch_cluster_cat_templates

Get index template information Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name of the template to return. Accepts wildcard expressions. If omitted, all templates are returned.
hobjectNoA comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - name (or n): The template name. - index_patterns (or t): The template index patterns. - order (or o, p): The template application order or priority number. - version (or v): The version. - composed_of (or c): The component templates comprising the index template.
sstring[]NoList of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
localbooleanNoIf true, the request computes the list of selected nodes from the local cluster state. If false the list of selected nodes are computed from the cluster state of the master node. In both cases the coordinating node will send requests for further information to each selected node.
master_timeoutstringNoPeriod to wait for a connection to the master node.

elasticsearch_cluster_cat_thread_pool

Get thread pool statistics Parameters:
ParameterTypeRequiredDefaultDescription
thread_pool_patternsstring[]YesA comma-separated list of thread pool names used to limit the request. Accepts wildcard expressions.
hobjectNoList of columns to appear in the response. Supports simple wildcards. Supported values include: - active (or a): Number of active threads in the current thread pool. - completed (or c): Number of tasks completed by the thread pool executor. - core (or cr): Configured core number of active threads allowed in the current thread pool. - ephemeral_id (or eid): Ephemeral node ID. - host (or h): Hostname for the current node. - ip (or i): IP address for the current node. - keep_alive (or k): Configured keep alive time for threads. - largest (or l): Highest number of active threads in the current thread pool. - max (or mx): Configured maximum number of active threads allowed in the current thread pool. - name: Name of the thread pool, such as analyze or generic. - node_id (or id): ID of the node, such as k0zy. - node_name: Node name, such as I8hydUG. - pid (or p): Process ID of the running node. - pool_size (or psz): Number of threads in the current thread pool. - port (or po): Bound transport port for the current node. - queue (or q): Number of tasks in the queue for the current thread pool. - queue_size (or qs): Maximum number of tasks permitted in the queue for the current thread pool. - rejected (or r): Number of tasks rejected by the thread pool executor. - size (or sz): Configured fixed number of active threads allowed in the current thread pool. - type (or t): Type of thread pool. Returned values are fixed, fixed_auto_queue_size, direct, or scaling.
sstring[]NoA comma-separated list of column names or aliases that determines the sort order. Sorting defaults to ascending and can be changed by setting :asc or :desc as a suffix to the column name.
localbooleanNoIf true, the request computes the list of selected nodes from the local cluster state. If false the list of selected nodes are computed from the cluster state of the master node. In both cases the coordinating node will send requests for further information to each selected node.
master_timeoutstringNoThe period to wait for a connection to the master node.

elasticsearch_cluster_delete_voting_config_exclusions

Clear cluster voting config exclusions Parameters:
ParameterTypeRequiredDefaultDescription
master_timeoutstringNoPeriod to wait for a connection to the master node.
wait_for_removalbooleanNoSpecifies whether to wait for all excluded nodes to be removed from the cluster before clearing the voting configuration exclusions list. Defaults to true, meaning that all excluded nodes must be removed from the cluster before this API takes any action. If set to false then the voting configuration exclusions list is cleared even if some excluded nodes are still in the cluster.

elasticsearch_cluster_get_settings

Get cluster-wide settings Parameters:
ParameterTypeRequiredDefaultDescription
flat_settingsbooleanNoIf true, returns settings in flat format.
include_defaultsbooleanNoIf true, also returns the values of all other cluster settings set in the elasticsearch.yml file on one of the nodes in your cluster, together with the default values of all other cluster settings on that node. The default value of each setting may depend on the values of other settings on that node. If the nodes in your cluster do not all have the same configuration then the values returned by this API may vary from invocation to invocation and may not reflect the values that Elasticsearch uses in all situations. Use the GET _nodes/settings API to fetch the settings for each individual node in your cluster.
master_timeoutstringNoPeriod to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
timeoutstringNoPeriod to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

elasticsearch_cluster_health

Get the cluster health status Parameters:
ParameterTypeRequiredDefaultDescription
indexstring[]YesA comma-separated list of data streams, indices, and index aliases that limit the request. Wildcard expressions (*) are supported. To target all data streams and indices in a cluster, omit this parameter or use _all or *.
expand_wildcardsstring[]NoExpand wildcard expression to concrete indices that are open, closed or both. Supported values include: - all: Match any data stream or index, including hidden ones. - open: Match open, non-hidden indices. Also matches any non-hidden data stream. - closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed. - hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both. - none: Wildcard expressions are not accepted.
levelstringNoReturn health information at a specific level of detail.
localbooleanNoIf true, retrieve information from the local node only. If false, retrieve information from the master node.
master_timeoutstringNoThe period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
timeoutstringNoThe period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
wait_for_active_shardsobjectNoWait for the specified number of active shards. Use all to wait for all shards in the cluster to be active. Use 0 to not wait.
wait_for_eventsstringNoWait until all currently queued events with the given priority are processed.
wait_for_nodesobjectNoWait until the specified number (N) of nodes is available. It also accepts >=N, <=N, >N and <N. Alternatively, use the notations ge(N), le(N), gt(N), and lt(N).
wait_for_no_initializing_shardsbooleanNoWait (until the timeout expires) for the cluster to have no shard initializations. If false, the request does not wait for initializing shards.
wait_for_no_relocating_shardsbooleanNoWait (until the timeout expires) for the cluster to have no shard relocations. If false, the request not wait for relocating shards.
wait_for_statusstringNoWait (until the timeout expires) for the cluster to reach a specific health status (or a better status). A green status is better than yellow and yellow is better than red. By default, the request does not wait for a particular status. Supported values include: - green (or GREEN): All shards are assigned. - yellow (or YELLOW): All primary shards are assigned, but one or more replica shards are unassigned. If a node in the cluster fails, some data could be unavailable until that node is repaired. - red (or RED): One or more primary shards are unassigned, so some data is unavailable. This can occur briefly during cluster startup as primary shards are assigned. - unknown - unavailable

elasticsearch_cluster_info

Get cluster info Parameters:
ParameterTypeRequiredDefaultDescription
targetstring[]YesLimits the information returned to the specific target. Supports a comma-separated list, such as http,ingest. Supported values include: _all, http, ingest, thread_pool, script

elasticsearch_cluster_nodes_hot_threads

Get the hot threads for nodes Parameters:
ParameterTypeRequiredDefaultDescription
node_idstring[]YesList of node IDs or names used to limit returned information.
ignore_idle_threadsbooleanNoIf true, known idle threads (e.g. waiting in a socket select, or to get a task from an empty queue) are filtered out.
intervalstringNoThe interval to do the second sampling of threads.
snapshotsnumberNoNumber of samples of thread stacktrace.
threadsnumberNoSpecifies the number of hot threads to provide information for.
timeoutstringNoPeriod to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
typestringNoThe type to sample. Supported values include: - cpu: Threads that consume the most CPU time. - wait: Threads that have been in a waiting state the longest. - block: Threads that have been blocked the longest. - gpu: Threads that consume the most GPU time. - mem: Threads that allocate the most memory.
sortstringNoThe sort order for ‘cpu’ type Supported values include: - cpu: Threads that consume the most CPU time. - wait: Threads that have been in a waiting state the longest. - block: Threads that have been blocked the longest. - gpu: Threads that consume the most GPU time. - mem: Threads that allocate the most memory.

elasticsearch_cluster_nodes_info

Get node information Parameters:
ParameterTypeRequiredDefaultDescription
node_idstring[]YesComma-separated list of node IDs or names used to limit returned information.
metricstring[]YesLimits the information returned to the specific metrics. Supports a comma-separated list, such as http,ingest. Supported values include: _all, _none, settings, os, process, jvm, thread_pool, transport, http, remote_cluster_server, plugins, ingest, aggregations, indices
flat_settingsbooleanNoIf true, returns settings in flat format.
timeoutstringNoPeriod to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

elasticsearch_cluster_nodes_reload_secure_settings

Reload the keystore on nodes in the cluster Parameters:
ParameterTypeRequiredDefaultDescription
node_idstring[]YesThe names of particular nodes in the cluster to target.
timeoutstringNoPeriod to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
secure_settings_passwordobjectNoThe password for the Elasticsearch keystore.

elasticsearch_cluster_nodes_stats

Get node statistics Parameters:
ParameterTypeRequiredDefaultDescription
node_idstring[]YesComma-separated list of node IDs or names used to limit returned information.
metricstring[]YesLimits the information returned to the specific metrics. Supported values include: _all, _none, indices, os, process, jvm, thread_pool, fs, transport, http, breaker, script, discovery, ingest, adaptive_selection, script_cache, indexing_pressure, repositories, allocations
index_metricstring[]YesLimit the information returned for indices metric to the specific index metrics. It can be used only if indices (or all) metric is specified. Supported values include: - _all: Return all statistics. - store: Size of the index in byte units. - indexing: Indexing statistics. - get: Get statistics, including missing stats. - search: Search statistics including suggest statistics. You can include statistics for custom groups by adding an extra groups parameter (search operations can be associated with one or more groups). The groups parameter accepts a comma-separated list of group names. Use _all to return statistics for all groups. - merge: Merge statistics. - flush: Flush statistics. - refresh: Refresh statistics. - query_cache: Query cache statistics. - fielddata: Fielddata statistics. - docs: Number of documents and deleted docs not yet merged out. Index refreshes can affect this statistic. - warmer: Index warming statistics. - completion: Completion suggester statistics. - segments: Memory use of all open segments. If the include_segment_file_sizes parameter is true, this metric includes the aggregated disk usage of each Lucene index file. - translog: Translog statistics. - request_cache: Shard request cache statistics. - recovery: Recovery statistics. - bulk: Bulk operations statistics. - shard_stats: Shard statistics, including the total number of shards. - mappings: Mapping statistics, including the total count and estimated overhead. - dense_vector: Total number of dense vectors indexed. Index refreshes can affect this statistic. - sparse_vector: Total number of sparse vectors indexed. Index refreshes can affect this statistic.
completion_fieldsstring[]NoComma-separated list or wildcard expressions of fields to include in fielddata and suggest statistics.
fielddata_fieldsstring[]NoComma-separated list or wildcard expressions of fields to include in fielddata statistics.
fieldsstring[]NoComma-separated list or wildcard expressions of fields to include in the statistics.
groupsstringNoComma-separated list of search groups to include in the search statistics.
include_segment_file_sizesbooleanNoIf true, the call reports the aggregated disk usage of each one of the Lucene index files (only applies if segment stats are requested).
levelstringNoIndicates whether statistics are aggregated at the node, indices, or shards level.
timeoutstringNoPeriod to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
typesstring[]NoA comma-separated list of document types for the indexing index metric.
include_unloaded_segmentsbooleanNoIf true, the response includes information from segments that are not loaded into memory.

elasticsearch_cluster_nodes_usage

Get feature usage information Parameters:
ParameterTypeRequiredDefaultDescription
node_idstring[]YesA comma-separated list of node IDs or names to limit the returned information. Use _local to return information from the node you’re connecting to, leave empty to get information from all nodes.
metricstring[]YesLimits the information returned to the specific metrics. A comma-separated list of the following options: _all, rest_actions, aggregations. Supported values include: _all, rest_actions, aggregations
timeoutstringNoPeriod to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

elasticsearch_cluster_pending_tasks

Get the pending cluster tasks Parameters:
ParameterTypeRequiredDefaultDescription
localbooleanNoIf true, the request retrieves information from the local node only. If false, information is retrieved from the master node.
master_timeoutstringNoPeriod to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

elasticsearch_cluster_post_voting_config_exclusions

Update voting configuration exclusions Parameters:
ParameterTypeRequiredDefaultDescription
node_namesstring[]NoA comma-separated list of the names of the nodes to exclude from the voting configuration. If specified, you may not also specify node_ids.
node_idsstring[]NoA comma-separated list of the persistent ids of the nodes to exclude from the voting configuration. If specified, you may not also specify node_names.
master_timeoutstringNoPeriod to wait for a connection to the master node.
timeoutstringNoWhen adding a voting configuration exclusion, the API waits for the specified nodes to be excluded from the voting configuration before returning. If the timeout expires before the appropriate condition is satisfied, the request fails and returns an error.

elasticsearch_cluster_put_settings

Update the cluster settings Parameters:
ParameterTypeRequiredDefaultDescription
flat_settingsbooleanNoReturn settings in flat format
master_timeoutstringNoThe period to wait for a connection to the master node.
timeoutstringNoThe period to wait for a response.
persistentobjectNoThe settings that persist after the cluster restarts.
transientobjectNoThe settings that do not persist after the cluster restarts.

elasticsearch_cluster_remote_info

Get remote cluster information

elasticsearch_cluster_reroute

Reroute the cluster Parameters:
ParameterTypeRequiredDefaultDescription
dry_runbooleanNoIf true, then the request simulates the operation. It will calculate the result of applying the commands to the current cluster state and return the resulting cluster state after the commands (and rebalancing) have been applied; it will not actually perform the requested changes.
explainbooleanNoIf true, then the response contains an explanation of why the commands can or cannot run.
metricstring[]NoLimits the information returned to the specified metrics.
retry_failedbooleanNoIf true, then retries allocation of shards that are blocked due to too many subsequent allocation failures.
master_timeoutstringNoPeriod to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
timeoutstringNoPeriod to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
commandsobject[]NoDefines the commands to perform.

elasticsearch_cluster_state

Get the cluster state Parameters:
ParameterTypeRequiredDefaultDescription
metricstring[]YesLimit the information returned to the specified metrics. Supported values include: - _all: Shows all metrics. - version: Shows the cluster state version. - master_node: Shows the elected master_node part of the response. - blocks: Shows the blocks part of the response. - nodes: Shows the nodes part of the response. - metadata: Shows the metadata part of the response. If you supply a comma-separated list of indices, the returned output will only contain metadata for these indices. - routing_table: Shows the routing_table part of the response. If you supply a comma-separated list of indices, the returned output will only contain the routing table for these indices. - routing_nodes: Shows the routing_nodes part of the response. - customs: Shows the customs part of the response, which includes custom cluster state information.
indexstring[]YesA comma-separated list of index names; use _all or empty string to perform the operation on all indices
allow_no_indicesbooleanNoA setting that does two separate checks on the index expression. If false, the request returns an error (1) if any wildcard expression (including _all and *) resolves to zero matching indices or (2) if the complete set of resolved indices, aliases or data streams is empty after all expressions are evaluated. If true, index expressions that resolve to no indices are allowed and the request returns an empty result.
expand_wildcardsstring[]NoWhether to expand wildcard expression to concrete indices that are open, closed or both Supported values include: - all: Match any data stream or index, including hidden ones. - open: Match open, non-hidden indices. Also matches any non-hidden data stream. - closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed. - hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both. - none: Wildcard expressions are not accepted.
flat_settingsbooleanNoReturn settings in flat format
ignore_unavailablebooleanNoIf false, the request returns an error if it targets a concrete (non-wildcarded) index, alias, or data stream that is missing, closed, or otherwise unavailable. If true, unavailable concrete targets are silently ignored.
localbooleanNoReturn local information, do not retrieve the state from master node
master_timeoutstringNoTimeout for waiting for new cluster state in case it is blocked
wait_for_metadata_versionnumberNoWait for the metadata version to be equal or greater than the specified metadata version
wait_for_timeoutstringNoThe maximum time to wait for wait_for_metadata_version before timing out

elasticsearch_cluster_stats

Get cluster statistics Parameters:
ParameterTypeRequiredDefaultDescription
node_idstring[]YesComma-separated list of node filters used to limit returned information. Defaults to all nodes in the cluster.
include_remotesbooleanNoInclude remote cluster data into the response
timeoutstringNoPeriod to wait for each node to respond. If a node does not respond before its timeout expires, the response does not include its stats. However, timed out nodes are included in the response’s _nodes.failed property. Defaults to no timeout.